import request from '@/utils/request'

// 查询严重违法失信企业详细信息列表
export function listDetail(query) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprisesDetail/findByPage',
    method: 'get',
    params: query
  })
}

// 查询严重违法失信企业详细信息详细
export function getDetail(xhCodeId) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprisesDetail/' + xhCodeId,
    method: 'get'
  })
}

// 新增严重违法失信企业详细信息
export function addDetail(data) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprisesDetail',
    method: 'post',
    data: data
  })
}

// 修改严重违法失信企业详细信息
export function updateDetail(data) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprisesDetail',
    method: 'put',
    data: data
  })
}

// 删除严重违法失信企业详细信息
export function delDetail(xhCodeId) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprisesDetail/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetailBatch(ids) {
  return request.post('/basicData/xcrSeriousIllegalDishonestEnterprisesDetail/delete',ids)
}
